<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>
</head>
<body>
    <div>
        <button (click)="clickPopup()" >Create</button>
        ||
        <input type="number" id="index" [(ngModel)]="index" placeholder="search as a index">

        ||
        <button (click)="getIndex()">search</button>
        
        ||

        IsFirst 
      <input type="color" name="yellow" id="" value="#FFFF00">

        ||
      IsLast 
      <input type="color" name="green" id="" value="#347F0D">

        ||
        Odd/Even 
        <!-- <button (click)="order()">order</button> -->
  
          ||
    </div>
    <table class="myTable">
        <thead>
         <tr>
        <th>Index</th>
        <th>Odd</th>
        <th>Even</th>
        <th>Ticket Id</th>
		<th>Ticket Date</th>
		<th>Created By</th>
		<th>Contract Number</th>
		<th>Employee ID</th>
		<th>Employee Name</th>
		<th>Status</th>
        <th>Ticket Type</th>
        <th>Priority</th>
        <th>Accuracy</th>
        <th>Subject</th>
            </tr>
        </thead>
        <tbody>
            <tr [ngStyle]="{'background-color':getColor(isFirst,isLast)}"
             *ngFor="let item of TicketList; index as i; first as isFirst; last as isLast; odd as oddNum; even as evenNum"  >
            <td>{{i}}</td>
            <td>{{oddNum}}</td>
            <td>{{evenNum}}</td>
            <td>{{item.EnquiryId}}</td>
			<td>{{item.CreatedDatetime | date}}</td>
			<td>{{item.CreatedBy}}</td>
			<td>{{item.ContractNumber}}</td>
			<td>{{item.LabourNumber}}</td>
			<td>{{item.LabourName}}</td>
			<td>{{item.StatusName}}</td>
            <td>{{item.TicketTypeName}}</td>
            <td>{{item.PriorityName}}</td>
            <td>{{item.Accuracy}}</td>
            <td>{{item.Subject}}</td>
            </tr>
        </tbody>
    </table>

    <app-ticket-modal [mypopup]="showPopup" (closeModal)="closeModal()"></app-ticket-modal>
</body>
</html>